import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { MTLDataType } from "./MTLDataType.js";
export declare class _MTLAttribute extends _NSObject {
    static alloc(): _MTLAttribute;
    static new(): _MTLAttribute;
    init(): _MTLAttribute;
    name(): _NSString;
    attributeIndex(): number;
    attributeType(): MTLDataType;
    active(): boolean;
    patchData(): boolean;
    patchControlPointData(): boolean;
}
